Index: /anuga_work/publications/boxing_day_validation_2008/acknowledgements.tex
===================================================================
--- /anuga_work/publications/boxing_day_validation_2008/acknowledgements.tex	(revision 7520)
+++ /anuga_work/publications/boxing_day_validation_2008/acknowledgements.tex	(revision 7521)
@@ -5,7 +5,7 @@
 like to thank Niran Chaimanee from the CCOP for providing
 the post 2004 tsunami survey data, building footprints, satellite image
-and the elevation data for Patong city, Prapasri Asawakun
+and the elevation data for Patong city; Prapasri Asawakun
 from the Suranaree University of Technology and Parida Kuneepong for
-supporting this work, Drew Whitehouse from the Australian National
+supporting this work; Drew Whitehouse from the Australian National
 University for preparing the animation of the simulated impact; and 
 Rick von Feldt for locating the Novotel from the video footage and 
Index: /anuga_work/publications/boxing_day_validation_2008/conclusion.tex
===================================================================
--- /anuga_work/publications/boxing_day_validation_2008/conclusion.tex	(revision 7520)
+++ /anuga_work/publications/boxing_day_validation_2008/conclusion.tex	(revision 7521)
@@ -16,9 +16,9 @@
  An associated aim of this paper was to further validate the
 \textsc{ursga--anuga} tsunami modelling methodology employed by Geoscience 
-Australia which is used to simulate the tsunami inundation. 
+Australia which is used to simulate tsunami inundation. 
 This study shows that the tsunami modelling methodology adopted is credible 
 and able to predict detailed inundation extents and dynamics with reasonable accuracy. 
 Model predictions matched well a detailed inundation survey
-of Patong Bay, Thailand as well as altimetry data from the \textsc{jason}, 
+of Patong Bay, Thailand as well as altimetry data from the \textsc{jason} satellite, 
 eye-witness accounts of wave front arrival times and onshore flow speeds.
 
Index: /anuga_work/publications/boxing_day_validation_2008/data.tex
===================================================================
--- /anuga_work/publications/boxing_day_validation_2008/data.tex	(revision 7520)
+++ /anuga_work/publications/boxing_day_validation_2008/data.tex	(revision 7521)
@@ -124,5 +124,5 @@
 
 The sub-sampling of larger grids was performed by using \textsc{resample},
-a Generic Mapping Tools (\textsc{GMT}) program (\cite{wessel98}).
+a Generic Mapping Tools (\textsc{GMT}) program \cite{wessel98}.
 
 
@@ -161,5 +161,5 @@
 contour lines) and a tsunami inundation survey map from the
 Coordinating Committee Co-ordinating Committee for Geoscience
-Programmes in East and Southeast Asia (CCOP) (\cite{szczucinski06})
+Programmes in East and Southeast Asia (CCOP) \cite{szczucinski06}
 was obtained to validate model inundation. See also acknowledgements
 at the end of this paper. In this section we also present eye-witness
@@ -168,18 +168,17 @@
 
 \subsubsection{Topography Data}
-A 1 second grid comprising the onshore topography and the nearshore
+A 1~second grid comprising the onshore topography and the nearshore
 bathymetry for Patong Beach was created from the Thai Navy charts
-(described in Section \ref{sec:bathymetry data}) and from 1 m and 10 m
-elevation contours provided by the CCOP (see Section
-\ref{sec:inundation data} for details). The 1 second terrain model
+(described in Section \ref{sec:bathymetry data}) and from 1~m and 10~m
+elevation contours provided by the CCOP. The 1~second terrain model
 for the and community as shown in Figure~\ref{fig:patong_bathymetry}.
 
-Two 1/3 second grids were created: One for the saddle point covering
+Two 1/3~second grids were created: One for the saddle point covering
 Merlin and Tri Trang Beaches and one for Patong City and its immediate
-shore area.  These grids were based on the same data used for the 1
-second data grid.  The Patong city grid was further modified based on
+shore area.  These grids were based on the same data used for 
+the 1~second data grid.  The Patong city grid was further modified based on
 satellite imagery to include the river and lakes towards the south of
 Patong City which were not part of the provided elevation data.  
-The depth of the river and lake system was set uniformly to a depth of 1 m.
+The depth of the river and lake system was set uniformly to a depth of 1~m.
 
 
@@ -189,5 +188,5 @@
 \end{center}
 
-\caption{3D visualisation of the elevation data set used for the nearshore propagation and and inundation in Patong Bay showing 
+\caption{3D visualisation of the elevation data set used for the nearshore propagation and inundation in Patong Bay showing 
 digitised data points and contours as well as rivers and roads 
 draped over the data model.}
@@ -235,8 +234,8 @@
 report that many people at Patong Beach observed an initial 
 retreat (trough or draw down) of
-the shoreline of more than 100 m followed a few minutes later by a
+the shoreline of more than 100~m followed a few minutes later by a
 strong wave (crest). Another less powerful wave arrived another five
 or ten minutes later. Eyewitness statements place the arrival time of
-the first wave between 9:55 am and 10:05 am local time or about 2 hours 
+the first wave between 9:55~am and 10:05~am local time or about 2~hours 
 after the source rupture.
 
Index: /anuga_work/publications/boxing_day_validation_2008/introduction.tex
===================================================================
--- /anuga_work/publications/boxing_day_validation_2008/introduction.tex	(revision 7520)
+++ /anuga_work/publications/boxing_day_validation_2008/introduction.tex	(revision 7521)
@@ -63,7 +63,8 @@
 
 Currently, the extent of tsunami-related field data is limited. The
-cost of tsunami monitoring programs, bathymetry and topography surveys
+cost of tsunami monitoring programs as well as 
+bathymetry and topography surveys
 prohibits the collection of data in many of the regions in which
-tsunamis pose greatest threat. The resulting lack of data has limited
+tsunamis pose the greatest threat. The resulting lack of data has limited
 the number of field data sets available to validate tsunami
 models. 
Index: /anuga_work/publications/boxing_day_validation_2008/method.tex
===================================================================
--- /anuga_work/publications/boxing_day_validation_2008/method.tex	(revision 7520)
+++ /anuga_work/publications/boxing_day_validation_2008/method.tex	(revision 7521)
@@ -71,7 +71,7 @@
 taken from the slip model G-M9.15 of Chlieh
 et al~\cite{chlieh07}. This model was created by inversion of wide
-range of geodetic and seismic data. The slip model consists of 686
-20 km x 20 km subsegments each with a different slip, strike and dip
-angle. The dip subfaults go from $17.5^0$ in the north and $12^0$ in
+range of geodetic and seismic data. The slip model consists 
+of 686~20~km~x~20~km subsegments each with a different slip, strike and dip
+angle. The dip subfaults go from $17.5^\circ$ in the north and $12^\circ$ in
 the south. Refer to Chlieh et al~\cite{chlieh07} for a detailed
 discussion of this model and its derivation. %Note that the geodetic
Index: /anuga_work/publications/boxing_day_validation_2008/paper.tex
===================================================================
--- /anuga_work/publications/boxing_day_validation_2008/paper.tex	(revision 7520)
+++ /anuga_work/publications/boxing_day_validation_2008/paper.tex	(revision 7521)
@@ -18,5 +18,5 @@
 
 %-------authors-----------
-\author{J.~D. Jakeman \and O. Nielsen \and K. VanPutten 
+\author{J.~D. Jakeman \and O. Nielsen \and K. Van Putten 
 \and R. Mleczko \and D. Burbidge \and N. Horspool}
 \authorrunning{Jakeman et alia}
@@ -28,5 +28,5 @@
 	\email{john.jakeman@anu.edu.au}
 	\and
-	O. Nielsen \and R. Mleczko \and D. Burbidge \and K. VanPutten \and N. Horspool \at 
+	O. Nielsen \and R. Mleczko \and D. Burbidge \and K. Van Putten \and N. Horspool \at 
 	Geoscience Australia, Canberra, \textsc{Australia}
 }
Index: /anuga_work/publications/boxing_day_validation_2008/results.tex
===================================================================
--- /anuga_work/publications/boxing_day_validation_2008/results.tex	(revision 7520)
+++ /anuga_work/publications/boxing_day_validation_2008/results.tex	(revision 7521)
@@ -41,10 +41,11 @@
 \begin{figure}[ht]
 \begin{center}
-\includegraphics[width=0.8\textwidth,keepaspectratio=true]{figures/surface_deformation.jpg}
+\includegraphics[width=0.7\textwidth,keepaspectratio=true]{figures/surface_deformation.jpg}
 \end{center}
 
 \caption{Location and magnitude of the vertical component of the sea
   floor displacement associated with the 2004 Indian Ocean tsunami
-  based on the slip model, G-M9.15. The black arrows which point up
+  based on the slip model, G-M9.15 compared with observed deformation 
+  (arrows). The black arrows which point up
   show areas observed to uplift during and immediately after the
   earthquake; those pointing down are locations which subsided. The
@@ -67,5 +68,5 @@
 \textsc{ursga} and was propagated throughout the Bay of Bengal. The
 rectangular computational domain of the largest grid extended from
-90$^0$ to 100$^0$ East and 0 to 15$^0$ North and contained
+90$^\circ$ to 100$^\circ$ East and $0^\circ$ to 15$^\circ$ North and contained
 1335$\times$1996 finite difference points. Inside this grid, a nested
 sequence of grids was used. The grid resolution of the nested grids
@@ -87,7 +88,7 @@
 \textsc{ursga}-predicted sea surface elevation with the \textsc{jason}
 satellite altimetry data. The \textsc{ursga} model replicates the 
-amplitude and timing of the the wave observed at $2.5^0$ South,
+amplitude and timing of the the wave observed at $2.5^\circ$ South,
 but underestimates the amplitude of the wave further to the south at
-$4^0$ South. In the model, the southern most of these two waves
+$4^\circ$ South. In the model, the southern most of these two waves
 appears only as a small bump in the cross section of the model (shown
 in Figure~\ref{fig:jasonComparison}) instead of being a distinct peak
@@ -95,5 +96,5 @@
 that the \textsc{ursga} model prediction of the ocean surface
 elevation becomes out of phase with the \textsc{jason} 
-data at $3^0$ to $7^0$ North
+data at $3^\circ$ to $7^\circ$ North
 latitude. Chlieh et al~\cite{chlieh07} also observed these misfits and
 suggest it is caused by a reflected wave from the Aceh Peninsula that
@@ -116,5 +117,5 @@
 
 After propagating the tsunami in the open ocean using \textsc{ursga},
-the approximated ocean and surface elevation and horisontal flow
+the approximated ocean and surface elevation and horizontal flow
 velocities were extracted and used to construct a boundary condition 
 for the \textsc{anuga} model. The interface between the \textsc{ursga}
@@ -129,8 +130,9 @@
 efficiently increase the simulation accuracy for the impact area. 
 The grid resolution ranged between a
-maximum triangle area of $1\times 10^5$ m$^2$ 
-(corresponding to approximately 440 m between mesh points) 
+maximum triangle area of $1\times 10^5$~m$^2$ 
+(corresponding to approximately 440~m between mesh points) 
 near the western ocean
-boundary to $20$ m$^2$ (corresponding to 
+boundary (roughly following the 100~m depth contour) 
+to $20$~m$^2$ (corresponding to 
 approximately 6 m between mesh points) 
 in the small regions surrounding the inundation
@@ -166,6 +168,6 @@
 boundary condition, effectively replicating the time dependent wave
 height present just inside the computational domain. 
-The velocity field on these boundaries was set
-to zero. Other choices include applying the mean tide value as a
+The velocity field on these boundaries was kept at
+to zero during the simulation. Other choices include applying the mean tide value as a
 Dirichlet boundary condition. But experiments as well as the
 result of the verification reported here showed that this approach
@@ -197,5 +199,5 @@
 domain was deemed inundated if at some point in time it was covered by
 at least 1 cm of water. The precision of the inundation boundary 
-generated by the on-site survey is most likely less than that as it 
+generated by the on-site survey is most likely less than this as it 
 was determined by observing water marks and other signs
 left by the receding waters. Consequently, the measurement error along
@@ -256,12 +258,14 @@
 
 Discrepancies between the survey data and the modelled inundation
-include: unknown distribution of surface roughness, inappropriate
+include arise from errors and uncertainties in both the field surveys and the models. 
+The former include measurement errors in the GPS survey recordings and
+missing data in the field survey data itself.
+The latter include 
+unknown distribution of surface roughness, uncertainties in the
 parameterisation of the source model, discretisation errors, 
 effect of humans structures on
-flow, as well as uncertainties in the elevation data, friction, effects of
-erosion and deposition by the tsunami event, 
-measurement errors in the GPS survey recordings, and
-missing data in the field survey data itself. The impact of some of
-these sources of uncertainties are is investigated in
+flow, as well as uncertainties in the elevation data including effects of
+erosion and deposition by the tsunami event. 
+The impacts of some of the model uncertainties are is investigated in
 Section~\ref{sec:sensitivity}.
 
@@ -345,8 +349,8 @@
                  & \multicolumn{2}{|c|}{\mbox{Depth [m]}} 
                  & \multicolumn{2}{c|}{\mbox{Flow [m/s]}} \\ 
-                 & \mbox{Observed} & \mbox{Modelled}
-                 & \mbox{Observed} & \mbox{Modelled} \\ \cline{2-5}                 
-    \mbox{North} & 1.5-2 & 1.4 & 5-7 & 0.1 - 3.3 \\
-    \mbox{South} & 1.5-2 & 1.5 & 0.5-2 & 0.2 - 2.6 \\ \hline
+                 & \mbox{Observed} & \mbox{Modelled (peak)}
+                 & \mbox{Observed} & \mbox{Modelled (peak)} \\ \cline{2-5}                 
+    \mbox{North} & 1.5-2 & 1.4 & 5-7 & 3.3 \\
+    \mbox{South} & 1.5-2 & 1.5 & 0.5-2 & 2.6 \\ \hline
   \end{array} 
 \]
Index: /anuga_work/publications/boxing_day_validation_2008/tsunami07.bib
===================================================================
--- /anuga_work/publications/boxing_day_validation_2008/tsunami07.bib	(revision 7520)
+++ /anuga_work/publications/boxing_day_validation_2008/tsunami07.bib	(revision 7521)
@@ -81,5 +81,5 @@
 @article{zoppou99,
   AUTHOR = {Zoppou, C. and Roberts, S.G },
-  TITLE = "{Catastrophic collapse of water supply reserviours in urban areas}",
+  TITLE = "{Catastrophic collapse of water supply reservoirs in urban areas}",
   YEAR = {1999},
   JOURNAL = {Journal of Hydraulic Engineering},
@@ -932,4 +932,5 @@
 
 
+% Note Capitalisation is as in the paper 
 @article{satake95,
 title="{Linear and nonlinear computations of the 1992 {N}icaragua earthquake tsunami}",
@@ -1067,5 +1068,5 @@
 title = "{New, improved version of Generic Mapping Tools released}",
 journal = {EOS trans. AGU},
-year = {199  8},
+year = {1998},
 OPTvolume = {79},
 OPTpages = {579},
@@ -1132,6 +1133,6 @@
 
 @ARTICLE{weiss06,
-AUTHOR = {Weiss, R. and wunnemann, K. and Bahlburg, H.},
-TITLE = "{Numerical Modelling of Generation, Propagation and Runup of Tsunamis Caused by Ocean Impacts: Model Stratefy and Techical Solutions}",
+AUTHOR = {Weiss, R. and Wunnemann, K. and Bahlburg, H.},
+TITLE = "{Numerical Modelling of Generation, Propagation and Runup of Tsunamis Caused by Ocean Impacts: Model Strategy and Techical Solutions}",
 JOURNAL = {Geohpys. J. Int.},
 YEAR = {2006},
@@ -1148,9 +1149,10 @@
 pages = "29--37",
 year = "2009",
-note = "Tsunamis in Asia",
 issn = "1367-9120",
 doi = "DOI: 10.1016/j.jseaes.2008.11.003",
 url = "http://www.sciencedirect.com/science/article/B6VHG-4V35475-1/2/91dface8aa1777e5d8bcd15d8ce95a55",
 author = "Romano, M. and Liong, S.-Y. and Vu, M.T. and Zemskyy, V. and Doan, C.D. and Dao, M.H. and Tkalich, P."}
+%note = "Tsunamis in Asia",
+
 
 @article{liu09,