Index: /anuga_work/publications/boxing_day_validation_2008/appendix.tex
===================================================================
--- /anuga_work/publications/boxing_day_validation_2008/appendix.tex	(revision 7521)
+++ /anuga_work/publications/boxing_day_validation_2008/appendix.tex	(revision 7522)
@@ -16,5 +16,5 @@
   provided by the \textsc{ursga} model. The left image shows the maximum
   modelled depth while the right hand image shows the maximum modelled
-  flow velocities.}
+  flow speeds.}
 \label{fig:reference_model}
 \end{figure}
@@ -34,5 +34,5 @@
   friction value while the higher slows the flow and decreases the
   inundation extent. Ideally, friction should vary across the entire
-  domain depending on terrain and vegetation, but this is beyond the
+  domain depending on terrain and vegetation. This, however, is beyond the
   scope of this study.}
 \label{fig:sensitivity_friction}
@@ -44,5 +44,5 @@
 \end{center}
 
-\caption{The maximal flow speeds for the same model parameterisations
+\caption{The maximal modelled flow speeds for the same model parameterisations
   found in Figure \protect \ref{fig:sensitivity_friction}.
   The reference flow speeds for a 
Index: /anuga_work/publications/boxing_day_validation_2008/conclusion.tex
===================================================================
--- /anuga_work/publications/boxing_day_validation_2008/conclusion.tex	(revision 7521)
+++ /anuga_work/publications/boxing_day_validation_2008/conclusion.tex	(revision 7522)
@@ -1,5 +1,5 @@
 \section{Conclusion}
 This paper proposes a new field data benchmark for the
-verification of tsunami inundation models. Currently, there is a
+validation of tsunami inundation models. Currently, there is a
 scarcity of appropriate validation datasets due to a lack of well-documented
 historical tsunami impacts. The benchmark proposed here
@@ -20,5 +20,5 @@
 and able to predict detailed inundation extents and dynamics with reasonable accuracy. 
 Model predictions matched well a detailed inundation survey
-of Patong Bay, Thailand as well as altimetry data from the \textsc{jason} satellite, 
+of Patong City, Thailand as well as altimetry data from the \textsc{jason} satellite, 
 eye-witness accounts of wave front arrival times and onshore flow speeds.
 
Index: /anuga_work/publications/boxing_day_validation_2008/data.tex
===================================================================
--- /anuga_work/publications/boxing_day_validation_2008/data.tex	(revision 7521)
+++ /anuga_work/publications/boxing_day_validation_2008/data.tex	(revision 7522)
@@ -7,5 +7,5 @@
 subsequent coastal field surveys of run-up and flooding, and
 measurements of coseismic displacements as well as bathymetry from ship-based
-expeditions, have now been made
+expeditions and high quality topographic data, have now been made
 available. %~\cite{vigny05,amnon05,kawata05,liu05}.
 
@@ -22,5 +22,5 @@
 cause of any discrepancies between modelled and observed inundation. 
 Consequently, in this section we present data not only to facilitate 
-validation of inundation but to also aid the assessment of tsunami 
+validation of inundation extent but to also aid the assessment of tsunami 
 generation and propagation.
 
@@ -69,5 +69,5 @@
 it encounters the shoreline bordering coastal regions. This period
 of the tsunami evolution is referred to as the propagation stage. The
-height and velocity of the tsunami is dependent on the local
+height and speed of the tsunami is dependent on the local
 bathymetry in the regions through which the wave travels and the size
 of the initial wave. This section details the bathymetry data needed
@@ -79,48 +79,43 @@
 sources:
 \begin{itemize}
-\item a two arc minute grid data set covering the Bay of Bengal,
+\item a two arc minute data grid covering the Bay of Bengal,
   DBDB2, obtained from US Naval Research Labs 
   (\url{http://www7320.nrlssc.navy.mil/DBDB2_WWW});
-\item a 3 second arc grid obtained directly from NOAA covering the 
+\item a three arc second data grid obtained directly from NOAA covering the 
   whole of the Andaman Sea based on the 
-  Smith \& Sandwell 2-minute 
+  Smith \& Sandwell two minute 
   dataset (\url{http://topex.ucsd.edu/WWW_html/srtm30_plus.html}), 
   coastline constrained using SRTM data (\url{http://srtm.csi.cgiar.org}) 
   as well as Thai Navy charts no.\ 45 and no.\ 362; and  
-\item a one second grid created from the digitised Thai Navy
-  bathymetry chart, no. 358, which covers Patong Bay and the
-  immediately adjacent regions. The digitised points and contour lines 
-from this chart are shown in Figure~\ref{fig:patong_bathymetry}.
-  The gridding of data was performed using \textsc{Intrepid}, a commercial
-  geophysical processing package developed by Intrepid Geophysics. The
-  gridding scheme employed the nearest neighbour algorithm followed by
-  an application of minimum curvature akima spline smoothing. 
-  See \url{http://www.intrepid-geophysics.com/ig/manuals/english/gridding.pdf} 
-  for details on the Intrepid gridding scheme.  
+\item Thai Navy chart no.\ 358 providing water depths in Patong Bay. 
 \end{itemize}
 
-These sets were combined via 
-interpolation and resampling to produce four nested grids 
-which are relatively coarse in the deeper water and 
-progressively finer as the distance to
-Patong Beach decreases as shown in Figure~\ref{fig:nested_grids}.  
-
-The coarsest
-bathymetry was obtained by interpolating the DBDB2 grid to a 27 second
-arc grid. A subsection of this region was then replaced by nine second
-data which was generated by sub-sampling the three second of arc grid from
-NOAA. It is an artificially generated data set which is a subset of the original data.
-
-A subset of the nine second grid was replaced by the three second
-data. Finally, the one second grid was used to approximate the
-bathymetry in Patong Bay. Any
-points that deviated from the general trend near the boundary were
-deleted as a quality check.
-
-A one second grid was used to approximate the bathymetry in Patong
-Bay. This bathymetry data was created from the digitised Thai
-Navy bathymetry chart, no 358.
-
-
+These data sets were combined via gridding, interpolation and resampling to produce
+four nested grids which are relatively coarse in the deeper water and
+progressively finer as the distance to shore Patong Beach decreases as
+shown in Figure~\ref{fig:nested_grids}. This progression was chosen
+to match model resolution requirements according to the principle that
+shallow water flows are more sensitive to variations in elevation data
+than deep water flows. Consequently, the elevation data in shallow
+waters and on-shore need to be resolved better than elevation data
+further off-shore.
+  
+The coarsest bathymetry was obtained by interpolating the DBDB2 grid
+to a 27~second arc grid. A subsection of this region was then replaced
+by nine second data which was generated by sub-sampling the three
+second of arc grid from NOAA. It is an artificially generated data set
+which is a subset of the original data.  A subset of the nine second
+grid was replaced by the three second data. Finally, a one arc second
+grid approximating the bathymetry in Patong Bay and the immediately
+adjacent regions was created by digitising Thai Navy bathymetry chart,
+no.\ 358. The digitised points and contour lines from this chart are
+shown in Figure~\ref{fig:patong_bathymetry}. The gridding was
+performed using \textsc{Intrepid}, a commercial geophysical processing
+package developed by Intrepid Geophysics\footnote{
+See
+\url{http://www.intrepid-geophysics.com/ig/manuals/english/gridding.pdf}
+for details on the Intrepid gridding scheme.}.
+Any points that deviated from the general trend near the boundary were
+deleted through a quality control process.
 The sub-sampling of larger grids was performed by using \textsc{resample},
 a Generic Mapping Tools (\textsc{GMT}) program \cite{wessel98}.
@@ -132,5 +127,6 @@
 \end{center}
 
-\caption{Nested bathymetry grids.}
+\caption{Nested elevation grids of the Andaman Sea with 
+highest resolution at and around Patong Bay.}
 \label{fig:nested_grids}
 \end{figure}
@@ -138,5 +134,5 @@
 \subsubsection{JASON Satellite Altimetry}\label{sec:data_jason}
 During the 26 December 2004 event, the \textsc{jason} satellite tracked from
-north to south and over the equator at 02:55 UTC nearly two hours
+north to south and over the equator at 02:55~UTC nearly two hours
 after the earthquake \cite{gower05}. The satellite recorded the sea
 level anomaly compared to the average sea level from its previous five
@@ -162,6 +158,5 @@
 Coordinating Committee Co-ordinating Committee for Geoscience
 Programmes in East and Southeast Asia (CCOP) \cite{szczucinski06}
-was obtained to validate model inundation. See also acknowledgements
-at the end of this paper. In this section we also present eye-witness
+was obtained to validate model inundation. In this section we also present eye-witness
 accounts which can be used to qualitatively validate tsunami
 inundation.
@@ -172,9 +167,13 @@
 (described in Section \ref{sec:bathymetry data}) and from 1~m and 10~m
 elevation contours provided by the CCOP. The 1~second terrain model
-for the and community as shown in Figure~\ref{fig:patong_bathymetry}.
-
-Two 1/3~second grids were created: One for the saddle point covering
-Merlin and Tri Trang Beaches and one for Patong City and its immediate
-shore area.  These grids were based on the same data used for 
+for the community is shown in Figure~\ref{fig:patong_bathymetry}.
+
+To provide increased resolution for the surveyed area, 
+two 1/3~second grids were created: One for the saddle point covering
+Merlin and Tri Trang Beaches (separate survey patch to the left in 
+Figure~\ref{fig:patongescapemap})
+and one for Patong City and its immediate
+shore area (main surveyed area in Figure~\ref{fig:patongescapemap}).
+These grids were based on the same data used for 
 the 1~second data grid.  The Patong city grid was further modified based on
 satellite imagery to include the river and lakes towards the south of
@@ -188,5 +187,5 @@
 \end{center}
 
-\caption{3D visualisation of the elevation data set used for the nearshore propagation and inundation in Patong Bay showing 
+\caption{3D view of the elevation data set used for the nearshore propagation and inundation in Patong City showing 
 digitised data points and contours as well as rivers and roads 
 draped over the data model.}
@@ -197,9 +196,11 @@
 \subsubsection{Buildings and Other Structures}
 Human-made buildings and structures can significantly affect tsunami
-inundation. The footprint and number of floors of the
-buildings in Patong Bay were extracted from the data provided by CCOP.
-The heights of these
-buildings were estimated assuming that each floor has a height of 3 m and they 
-were added to the topographic dataset. 
+inundation. The footprint and number of floors of the buildings in
+Patong Bay were extracted from the data provided by CCOP.  The heights
+of these buildings were estimated assuming that each floor has a
+height of 3~m and the resulting profiles were added to the topographic
+dataset. The resulting elevation model and its interaction with one of
+the tsunami waves can be seen in Figure~\ref{fig:anuga screenshot} in
+Section~\ref{sec:inundation results}.
 
 
@@ -225,5 +226,5 @@
 
 \caption{Tsunami survey mapping the maximum observed inundation at
-  Patong beach courtesy of the CCOP \protect \cite{szczucinski06}.}
+  Patong City courtesy of the CCOP \protect \cite{szczucinski06}.}
 \label{fig:patongescapemap}
 \end{figure}
@@ -246,5 +247,5 @@
 \end{center}
 
-\caption{Location of timeseries extracted from the model output.}
+\caption{Location of time series extracted from the model output.}
 \label{fig:gauge_locations}
 \end{figure}
@@ -255,11 +256,11 @@
 (Comfort Resort) and
 \url{http://www.archive.org/download/tsunami_patong_beach/tsunami_patong_beach.wmv}
-(Novotel)}
+(Novotel).}
 %http://wizbangblog.com/content/2005/01/01/wizbang-tsunami.php
-which include footage of the tsunami in Patong Bay on the day
-of the 2004 Indian Ocean Tsunami. Both videos show an already inundated
+which include footage of the tsunami in Patong City on the day
+of the 2004 Indian Ocean tsunami. Both videos show an already inundated
 street. They also show what is to be assumed as the second
 and third waves approaching and further flooding of the buildings and
-street.  The first video is in the very north, filmed from what is
+street. The first video is in the very north, filmed from what is
 believed to be the roof of the Novotel Hotel marked ``north'' in Figure
 \ref{fig:gauge_locations}. The second video is in the very south,
@@ -304,19 +305,19 @@
 should reproduce the following behaviour:
 \begin{itemize}
- \item reproduce the inundation survey map in Patong city
+ \item the inundation survey map in Patong city
    (Figure~\ref{fig:patongescapemap}),
- \item simulate a leading depression followed by two distinct crests
-   of decreasing magnitude at the beach, and
+ \item a leading depression followed by two distinct crests
+   of decreasing magnitude at the beach,
  \item predict the water depths and flow speeds, at the locations of
    the eye-witness videos, that fall within the bounds obtained from
-   the videos.
- \item reproduce the \textsc{jason} satellite altimetry sea surface
-   anomalies (see Section~\ref{sec:data_jason}),
- \item reproduce the vertical deformation observed in north-western
+   the videos,
+ \item the \textsc{jason} satellite altimetry sea surface
+   anomalies (see Section~\ref{sec:data_jason}), and
+ \item the vertical deformation observed in north-western
    Sumatra and along the Nicobar--Andaman islands (see
-   Section~\ref{sec:gen_data}),
+   Section~\ref{sec:gen_data}).
 \end{itemize}
 
-Ideally, the model should also be compared to measured timeseries of
-waveheights and velocities but the authors are not aware of the
+Ideally, the model should also be compared to measured time series of
+wave heights and flow speeds but the authors are not aware of the
 availability of such data near Patong Bay.
Index: /anuga_work/publications/boxing_day_validation_2008/introduction.tex
===================================================================
--- /anuga_work/publications/boxing_day_validation_2008/introduction.tex	(revision 7521)
+++ /anuga_work/publications/boxing_day_validation_2008/introduction.tex	(revision 7522)
@@ -20,6 +20,6 @@
 These models are typically used to predict quantities such as arrival 
 times, wave speeds and heights, as well as inundation extents
-which can be used to develop efficient hazard mitigation plans. Physics based 
-models combine observed seismic, geodetic and sometimes tsunami data to
+that can be used to develop efficient hazard mitigation plans. Physics based 
+models combine observed seismic, geodetic and sometimes tide gauge data to
  provide estimates of initial sea floor and ocean surface
 deformation. The shallow water wave equations~\cite{george06}, 
@@ -29,6 +29,7 @@
 
 Inaccuracies in model prediction can result in inappropriate
-evacuation plans and town zoning, which may result in loss of life and
-large financial losses. Consequently tsunami models must undergo
+evacuation plans, town zoning and land use planning, 
+which ultimately may result in loss of life and infrastructure. 
+Consequently tsunami models must undergo
 sufficient end-to-end testing to increase scientific and community
 confidence in the model predictions.
@@ -63,5 +64,5 @@
 
 Currently, the extent of tsunami-related field data is limited. The
-cost of tsunami monitoring programs as well as 
+cost of tsunami monitoring programs and the rarity of events as well as 
 bathymetry and topography surveys
 prohibits the collection of data in many of the regions in which
@@ -96,5 +97,6 @@
 al~\cite{synolakis08} to validate and verify tsunami models. 
 The benchmark proposed here allows evaluation of
-model structure during all three distinct stages tsunami evolution.
+model components during three distinct stages tsunami 
+evolution, namely generation, propagation and inundation. 
 It consists of geodetic measurements of the
 Sumatra--Andaman earthquake that are used to validate the description
@@ -115,5 +117,5 @@
  tailored accordingly.
 
-Unlike the existing field benchmarks the proposed test facilitates
+Unlike the existing field benchmarks, the proposed test facilitates
  localised and highly detailed spatially distributed assessment of 
 modelled inundation. To the authors knowledge it is also the first benchmark to
@@ -130,9 +132,9 @@
 The numerical models used to simulate tsunami impact 
 are computationally intensive and high resolution models of the entire
-evolution process will often take a number of days to
-run. Consequently, the uncertainty in model predictions is difficult to
-quantify as it would require a very large number of runs. 
+evolution process will often require a number of days to
+complete. Consequently, the uncertainty in model predictions is difficult to
+quantify as it would require a very large number of simulations. 
 However, model uncertainty should not be ignored. Section
 ~\ref{sec:sensitivity} provides a simple analysis that can
 be used to investigate the sensitivity of model predictions to a number 
-of model parameters.
+of key model parameters.
Index: /anuga_work/publications/boxing_day_validation_2008/method.tex
===================================================================
--- /anuga_work/publications/boxing_day_validation_2008/method.tex	(revision 7521)
+++ /anuga_work/publications/boxing_day_validation_2008/method.tex	(revision 7522)
@@ -1,5 +1,5 @@
 \section{Modelling the Event}\label{sec:models}
 Numerous models are currently used to model and predict tsunami
-generation, propagation and run-up. These range in solving different
+generation, propagation and inundation. These range in solving different
 equations and employing different methodologies with some examples
 being~\cite{titov97a,satake95,zhang08}. Here we introduce the
@@ -65,5 +65,5 @@
 ~\cite{chlieh07,asavanant08,arcas06,grilli07,ioualalen07}. Some are
 determined from various geological surveys of the site. Others solve
-an inverse problem which calibrates the source based upon the tsunami
+an inverse problem that calibrates the source based upon the tsunami
 wave signal, the seismic signal and/or even the run-up. 
 The source
@@ -73,5 +73,5 @@
 range of geodetic and seismic data. The slip model consists 
 of 686~20~km~x~20~km subsegments each with a different slip, strike and dip
-angle. The dip subfaults go from $17.5^\circ$ in the north and $12^\circ$ in
+angle. The dip subfaults range from $17.5^\circ$ in the north and $12^\circ$ in
 the south. Refer to Chlieh et al~\cite{chlieh07} for a detailed
 discussion of this model and its derivation. %Note that the geodetic
@@ -84,5 +84,5 @@
 %accurately.
 
-\subsection{Deep water propagation}\label{sec:modelPropagation}
+\subsection{Open water propagation}\label{sec:modelPropagation}
 The \textsc{ursga} model described below was used to simulate the
 propagation of the 2004 Indian Ocean tsunami across the open ocean, based on a
@@ -107,5 +107,5 @@
 grid system described in Section \ref{sec:propagation data} where 
 the coarse grids were used in the open ocean and the finest
-resolution grid was employed in the region closest to Patong bay. 
+resolution grid was employed in the region closest to Patong City. 
 \textsc{Ursga} is not publicly available.
 
@@ -115,5 +115,5 @@
 unless an intricate sequence of nested grids is employed. In
 comparison \textsc{anuga}, described below, is designed to produce
-robust and accurate predictions of on-shore inundation, but is less
+robust and accurate predictions of inundation, but is less
 suitable for earthquake source modelling and large study areas because
 it is based on projected spatial coordinates. Consequently, the
Index: /anuga_work/publications/boxing_day_validation_2008/paper.tex
===================================================================
--- /anuga_work/publications/boxing_day_validation_2008/paper.tex	(revision 7521)
+++ /anuga_work/publications/boxing_day_validation_2008/paper.tex	(revision 7522)
@@ -14,5 +14,5 @@
 %----------title-------------%
 \title{Benchmarking Tsunami Models using the December 2004 Indian
-  Ocean Tsunami and its Impact at Patong Bay}
+  Ocean Tsunami and its Impact at Patong City, Thailand}
 \titlerunning{A tsunami model benchmark}
 
@@ -28,5 +28,6 @@
 	\email{john.jakeman@anu.edu.au}
 	\and
-	O. Nielsen \and R. Mleczko \and D. Burbidge \and K. Van Putten \and N. Horspool \at 
+	O. Nielsen \and K. Van Putten \and R. Mleczko 
+        \and D. Burbidge \and N. Horspool \at 
 	Geoscience Australia, Canberra, \textsc{Australia}
 }
@@ -53,8 +54,8 @@
 propagation and a detailed inundation survey of Patong city, Thailand
 to compare model and observed inundation. Furthermore we utilise this
-benchmark to further validate the \textsc{ursga--anuga} modelling methodology
+benchmark to further validate the modelling methodology
  used by Geoscience Australia to simulate the tsunami
 inundation. Important buildings and other structures were incorporated
-into the underlying computational mesh and shown to have a large
+into the underlying computational mesh and are shown to have a large
 influence on inundation extent. 
 
Index: /anuga_work/publications/boxing_day_validation_2008/results.tex
===================================================================
--- /anuga_work/publications/boxing_day_validation_2008/results.tex	(revision 7521)
+++ /anuga_work/publications/boxing_day_validation_2008/results.tex	(revision 7522)
@@ -118,10 +118,10 @@
 After propagating the tsunami in the open ocean using \textsc{ursga},
 the approximated ocean and surface elevation and horizontal flow
-velocities were extracted and used to construct a boundary condition 
+speeds were extracted and used to construct a boundary condition
 for the \textsc{anuga} model. The interface between the \textsc{ursga}
 and \textsc{anuga} models was chosen to roughly follow the 100~m depth
-contour along the west coast of Phuket Island. Data from the 
-3 second grid was decimated to match the resolution chosen in ANUGA. 
-The computational
+contour along the west coast of Phuket Island. Data from the
+three~second grid which is approximately 30~m apart was decimated to
+match the resolution chosen in \textsc{Anuga}.  The computational
 domain is shown in Figure~\ref{fig:computational_domain}.
 
@@ -164,5 +164,5 @@
 The boundary condition at each side of the domain towards the south
 and the north where no information about the incident wave or 
-its velocity field is available 
+its velocity field is available from the \textsc{Ursga} model 
 was chosen as a transmissive
 boundary condition, effectively replicating the time dependent wave
@@ -170,5 +170,5 @@
 The velocity field on these boundaries was kept at
 to zero during the simulation. Other choices include applying the mean tide value as a
-Dirichlet boundary condition. But experiments as well as the
+Dirichlet boundary condition. Experiments as well as the
 result of the verification reported here showed that this approach
 tends to underestimate the tsunami impact due to the tempering of the
@@ -176,5 +176,5 @@
 condition robustly preserves the wave.
 
-During the \textsc{anuga} simulation the tide was kept constant at
+During the \textsc{anuga} simulation the tide was kept constant in the offshore region at
 $0.80$ m. This value was chosen to correspond to the tidal height
 specified by the Thai Navy tide charts
@@ -184,12 +184,11 @@
 wave propagated through the \textsc{anuga} domain is much
 smaller of the order of 2 hours. Consequently the assumption of constant tide height is
-reasonable.
+reasonable. The initial water level for the river was set to 0.
 
 \subsection{Inundation}\label{sec:inundation results}
 The \textsc{anuga} simulation described in the previous section and used to
  model shallow water propagation also predicts
-inundation. Maximum onshore inundation depth was computed from the model
-throughout the entire Patong Bay region and used to generate 
-a measure of the inundated area. 
+inundation. Maximum onshore inundation depth was computed from the inundation model
+and used to generate a measure of the inundated area. 
 Figure~\ref{fig:inundationcomparison1cm} (left) shows very good
 agreement between the measured and simulated inundation. However,
@@ -252,5 +251,6 @@
 \end{equation}
 These values for the two aforementioned simulations are given in
-Table~\ref{table:inundationAreas}. High value of both $\rho_{in}$ and $\rho_{out}$ indicate 
+Table~\ref{table:inundationAreas} along with results from the sensitivity analysis in 
+Section~\ref{sec:sensitivity}. High values of both $\rho_{in}$ and $\rho_{out}$ indicate 
 that the model overestimates the impact whereas low values of both quantities would indicate 
 an underestimation. A high value of $\rho_{in}$ combined with a low value of $\rho_{out}$ 
@@ -267,5 +267,5 @@
 flow, as well as uncertainties in the elevation data including effects of
 erosion and deposition by the tsunami event. 
-The impacts of some of the model uncertainties are is investigated in
+The impacts of some of the model uncertainties are as investigated in
 Section~\ref{sec:sensitivity}.
 
@@ -274,5 +274,5 @@
 As one aim of this paper is to provide a new benchmark for tsunami 
 inundation modelling we have made the datasets available
-available on \textsc{Sourceforge} in \textsc{anuga}
+available on \textsc{Sourceforge} in the \textsc{anuga}
 project (\url{http://sourceforge.net/projects/anuga}) under the directory 
 \url{validation\_data/patong-1.0}.
@@ -284,5 +284,5 @@
 will need to run the validation scripts (\url{anuga\_validation/automated\_validation\_tests/patong\_beach\_validation}) which are part of the 
 \textsc{anuga} distribution also available from 
-Sourceforge \url{http://sourceforge.net/projects/anuga}.
+\textsc{Sourceforge} \url{http://sourceforge.net/projects/anuga}.
 
 
@@ -291,7 +291,7 @@
 \subsubsection{Arrival time}
 The arrival time of the first wave took place between 9:55 and 10:05 as described in
-Section~\ref{sec:eyewitness data}. The modelled arrival time at the beach is 10:02 
+Section~\ref{sec:eyewitness data}. The modelled arrival time at the beach is around 10:02 
 as can be verified from the animation provided in 
-Section \ref{sec:inundation results}. 
+Section \ref{sec:inundation results} or from Figure~\ref{fig:onshore_timeseries} below. 
 Subsequent waves of variable magnitude appear over the next two hours 
 approximately 20-30 minutes apart.
@@ -304,5 +304,5 @@
 series have been extracted from the model. These are the locations where video footage from the event is
 available as described in Section \ref{sec:eyewitness data}.
-The corresponding are shown in Figure \ref{fig:onshore_timeseries}.
+The corresponding time series are shown in Figure \ref{fig:onshore_timeseries}.
 
 
@@ -325,5 +325,5 @@
 
 \caption{Time series obtained from the two onshore locations, North and South, 
-shown in Figure \protect \ref{fig:gauge_locations}.}
+shown in Figure \protect \ref{fig:gauge_locations}. Time is given in hours since the earthquake event (7:59am).}
 \label{fig:onshore_timeseries}
 \end{figure}
@@ -335,9 +335,9 @@
 Table \ref{tab:depth and flow comparisons}. 
 The predicted maximum depths and speeds are all of the same order 
-of what was observed. However, unlike the real event, 
+of what was observed as is the approximate arrival time at the two locations. However, unlike the real event, 
 the model estimates complete withdrawal of the water between waves at the 
 chosen locations and shows that the model must be used with caution at this
 level of detail.
-Nonetheless, this comparison serves to check that depths and speeds 
+Nonetheless, this comparison serves to check that the peak depths and speeds 
 predicted are within the range of what is expected.
 
Index: /anuga_work/publications/boxing_day_validation_2008/sensitivity.tex
===================================================================
--- /anuga_work/publications/boxing_day_validation_2008/sensitivity.tex	(revision 7521)
+++ /anuga_work/publications/boxing_day_validation_2008/sensitivity.tex	(revision 7522)
@@ -5,5 +5,5 @@
 are computationally intensive and high resolution models of the entire
 evolution process will often take a number of days to
-run. Consequently, the uncertainty in model predictions is difficult to
+compute. Consequently, the uncertainty in model predictions is difficult to
 quantify as it would require a very large number of runs. 
 However, model uncertainty should not be ignored. The aim of this section is 
@@ -28,5 +28,5 @@
 appropriate values of Manning's coefficient range from 0.007 to 0.03
 for tsunami propagation over a sandy sea floor and the reference model
-uses a value of 0.01.  To investigate sensitivity to this parameter,
+uses a value of 0.01. To investigate sensitivity to this parameter,
 we simulated the maximum onshore inundation using a Manning's
 coefficient of 0.0003 and 0.03. The resulting inundation maps are
@@ -34,5 +34,5 @@
 and the maximum flow speeds in Figure~\ref{fig:sensitivity_friction_speed}.
 The figure, along with Table~\ref{table:inundationAreas},
-shows that the on-shore inundation extent decreases with increasing
+shows, as expected, that the on-shore inundation extent decreases with increasing
 friction and that small perturbations in the friction cause bounded
 changes in the output. This is consistent with the conclusions of
@@ -46,12 +46,14 @@
 generally well predicted by the generation and propagation models such as
 \textsc{ursga} as demonstrated in Section \ref{sec:resultsPropagation} 
-and also in \cite{thomas2009}. Nevertheless, the effect of errors in 
+and also in \cite{thomas2009} assuming that the source parameters chosen appropriately. 
+Nevertheless, the effect of errors in 
 the wave height used as input to the inundation model \textsc{anuga}
 was investigated by perturbing the 
-amplitude of the input wave by $\pm$10 cm. This value was chosen to be larger 
-than the expected error in the amplitude predicted by the propagation model.
+amplitude of the input wave by $\pm$10 cm. This value was chosen to be consistent 
+with the expected error in the amplitude predicted by the propagation model 
+and amounts to about $\pm$5\% of the maximal waveheight at the boundary.
 
-Figure~\ref{fig:sensitivity_boundary}, Figure~\ref{fig:sensitivity_boundary_speed},
-and  Table~\ref{table:inundationAreas} 
+Figure~\ref{fig:sensitivity_boundary}, Figure~\ref{fig:sensitivity_boundary_speed}
+and Table~\ref{table:inundationAreas} 
 indicate that the inundation severity is directly proportional to the 
 boundary waveheight but small
Index: /anuga_work/publications/boxing_day_validation_2008/tsunami07.bib
===================================================================
--- /anuga_work/publications/boxing_day_validation_2008/tsunami07.bib	(revision 7521)
+++ /anuga_work/publications/boxing_day_validation_2008/tsunami07.bib	(revision 7522)
@@ -1048,5 +1048,5 @@
 author = {Burbidge, D. and Cummins, P.R. and Mleczko, R. and Thio, H.K.},
 title = "{A Probabilistic Tsunami Hazard Assessment for {W}estern {A}ustralia}",
-journal = {Pure appl. geophys.},
+journal = "{Pure Appl. Geophys.}",
 year = {2008},
 volume = {165},