Index: /anuga_core/source/anuga/shallow_water/data_manager.py
===================================================================
--- /anuga_core/source/anuga/shallow_water/data_manager.py	(revision 7573)
+++ /anuga_core/source/anuga/shallow_water/data_manager.py	(revision 7574)
@@ -2273,4 +2273,12 @@
         quantity = 'elevation'
 
+    # FIXME (Ole): I reckon we need a check so that
+    # reduction and timestep cannot both be set.    
+    # if reduction is not None and timestep is not None:
+    #     msg = 'Either reduction or timestep must be set'
+    #     msg += ' but not both.'
+    #     raise Exception(msg)
+    
+    
     if reduction is None:
         reduction = max
@@ -2352,4 +2360,5 @@
                          % (min(times), max(times), len(times)))
         log.critical('  Quantities [SI units]:')
+        
         # Comment out for reduced memory consumption
         for name in ['stage', 'xmomentum', 'ymomentum']:
@@ -2384,8 +2393,8 @@
 
     for start_slice in xrange(0, number_of_points, block_size):
-        # limit slice size to array end if at last block
+        # Limit slice size to array end if at last block
         end_slice = min(start_slice + block_size, number_of_points)
         
-        # get slices of all required variables
+        # Get slices of all required variables
         q_dict = {}
         for name in var_list:
@@ -2402,5 +2411,5 @@
             new_res = num.zeros(res.shape[1], num.float)
             for k in xrange(res.shape[1]):
-                if reduction == None:
+                if reduction is None:
                     new_res[k] = res[timestep,k]
                 else:
@@ -2410,5 +2419,5 @@
         result[start_slice:end_slice] = res
                                     
-    #Post condition: Now q has dimension: number_of_points
+    # Post condition: Now q has dimension: number_of_points
     assert len(result.shape) == 1
     assert result.shape[0] == number_of_points
@@ -2418,6 +2427,6 @@
                      % (quantity, min(result), max(result)))
 
-    #Create grid and update xll/yll corner and x,y
-    #Relative extent
+    # Create grid and update xll/yll corner and x,y
+    # Relative extent
     if easting_min is None:
         xmin = min(x)
@@ -2452,5 +2461,5 @@
     nrows = int((ymax-ymin)/cellsize) + 1
 
-    #New absolute reference and coordinates
+    # New absolute reference and coordinates
     newxllcorner = xmin + xllcorner
     newyllcorner = ymin + yllcorner
@@ -2468,5 +2477,5 @@
             yg = i * cellsize
         else:
-        #this will flip the order of the y values for ers
+            # this will flip the order of the y values for ers
             yg = (nrows-i) * cellsize
 
@@ -2478,14 +2487,13 @@
             grid_points[k, 1] = yg
 
-    #Interpolate
+    # Interpolate
     from anuga.fit_interpolate.interpolate import Interpolate
 
     # Remove loners from vertex_points, volumes here
     vertex_points, volumes = remove_lone_verts(vertex_points, volumes)
-    #export_mesh_file('monkey.tsh',{'vertices':vertex_points, 'triangles':volumes})
-    #import sys; sys.exit()
+    # export_mesh_file('monkey.tsh',{'vertices':vertex_points, 'triangles':volumes})
     interp = Interpolate(vertex_points, volumes, verbose = verbose)
 
-    #Interpolate using quantity values
+    # Interpolate using quantity values
     if verbose: log.critical('Interpolating')
     grid_values = interp.interpolate(result, grid_points).flatten()
@@ -2495,5 +2503,5 @@
                      % (num.min(grid_values), num.max(grid_values)))
 
-    #Assign NODATA_value to all points outside bounding polygon (from interpolation mesh)
+    # Assign NODATA_value to all points outside bounding polygon (from interpolation mesh)
     P = interp.mesh.get_boundary_polygon()
     outside_indices = outside_polygon(grid_points, P, closed=True)
@@ -2588,5 +2596,5 @@
 
 ################################################################################
-# Obsolete functions - mainatined for backwards compatibility
+# Obsolete functions - maintained for backwards compatibility
 ################################################################################
 