Index: /anuga_work/production/new_south_wales/batemans_bay/Arc_asc2raster_GDA94z56.py
===================================================================
--- /anuga_work/production/new_south_wales/batemans_bay/Arc_asc2raster_GDA94z56.py	(revision 7607)
+++ /anuga_work/production/new_south_wales/batemans_bay/Arc_asc2raster_GDA94z56.py	(revision 7608)
@@ -25,5 +25,5 @@
 output_dir = "anuga\\outputs\\"
 
-time_dir1 = '20090601_172248_run_final_0.0_58284__250m_jgriffin'
+time_dir1 = '20091223_101813_run_final_0.0_6157_jgriffin'
 
 time_dirs = [time_dir1]#, time_dir2, time_dir3, time_dir4, time_dir5]#, time_dir6, time_dir7, time_dir8, time_dir9]
@@ -38,6 +38,6 @@
     #ocean = scenario_dir + "map_work\\Perth.gdb\\Outlines\\initial_conditions_ocean1"
     
-##    print 'Process: Create File GDB'
-##    gp.CreateFileGDB_management(folder, "raster")
+    print 'Process: Create File GDB'
+    gp.CreateFileGDB_management(folder, "raster")
 
     gp.Workspace = raster_gbd
@@ -52,5 +52,5 @@
 
     generate_filename = []
-    input_ascii = glob.glob(folder + '*.asc')
+    input_ascii = glob.glob(folder + '*max.asc')
     print time_dir
 
@@ -78,7 +78,7 @@
 ##        output_extract = output_DEM + 'E'
 ##        print 'Output Extract ',output_extract
-##    
+####    
 ##        print 'Process: Extract by Mask'
 ##        gp.ExtractByMask_sa(output_DEM, land, output_extract)
-##
+####
 ##       
Index: /anuga_work/production/new_south_wales/batemans_bay/export_results_max.py
===================================================================
--- /anuga_work/production/new_south_wales/batemans_bay/export_results_max.py	(revision 7607)
+++ /anuga_work/production/new_south_wales/batemans_bay/export_results_max.py	(revision 7608)
@@ -22,9 +22,85 @@
 directory = project.output_folder
 
+time_dirs =['20090422_162054_run_final_0.0_58368_jgriffin',
+            '20090422_162114_run_final_0.0_51436_jgriffin',
+            '20090520_144937_run_final_0.0_58272_jgriffin',
+            '20090520_145156_run_final_1.0_58272_jgriffin',
+            '20090520_145453_run_final_0.0_58115_jgriffin',
+            '20090520_145510_run_final_0.0_58129_jgriffin',
+            '20090520_145608_run_final_0.0_58226_jgriffin',
+            '20090520_145616_run_final_0.0_58284_jgriffin',
+            '20090520_145700_run_final_0.0_58286_jgriffin',
+            '20090525_093040_run_final_1.0_51445_jgriffin',
+            '20090528_143200_run_final_1.0_51204_jgriffin',
+            '20090528_143323_run_final_1.0_58346_jgriffin',
+            '20090528_153025_run_final_0.0_58346_jgriffin',
+            '20090528_153109_run_final_0.0_51204_jgriffin',
+            '20090529_143332_run_final_0.0_51378_jgriffin',
+            '20090529_143419_run_final_0.0_51077_jgriffin',
+            '20090529_143442_run_final_0.0_51347_jgriffin',
+            '20090529_143458_run_final_0.0_51292_jgriffin',
+            '20090529_143527_run_final_0.0_51424_jgriffin']
+            
+
 #Specify output directories
-time_dir1 = '20090528_153025_run_final_0.0_58346_jgriffin'
+##time_dirs =[
+##['20091216_122203_run_final_0.0_58176_jgriffin',
+##'20091216_122218_run_final_0.0_31997_jgriffin',
+##'20091216_122348_run_final_0.0_7871_jgriffin',
+##'20091216_124238_run_final_0.0_31708_jgriffin',
+##'20091216_124254_run_final_0.0_31981_jgriffin',
+##'20091216_124340_run_final_0.0_51470_jgriffin',
+##'20091221_110506_run_final_0.0_58274_jgriffin',
+##'20091221_110525_run_final_0.0_51270_jgriffin',
+##'20091221_110609_run_final_0.0_58286_jgriffin']
+##'20091221_110617_run_final_0.0_51268_jgriffin',
+##'20091221_110624_run_final_0.0_31831_jgriffin',
+##'20091221_110632_run_final_0.0_31583_jgriffin',
+##'20091223_100248_run_final_0.0_5867_jgriffin',
+##'20091223_100422_run_final_0.0_1964_jgriffin',
+##'20091223_101813_run_final_0.0_6157_jgriffin',
+##'20091223_101905_run_final_0.0_6475_jgriffin',
+##'20091223_102012_run_final_0.0_7865_jgriffin',
+##'20091223_102123_run_final_0.0_16968_jgriffin',
+##'20091223_102158_run_final_0.0_20902_jgriffin',
+##'20091223_102326_run_final_0.0_24247_jgriffin']
+##'20091223_102727_run_final_0.0_28084_jgriffin',
+##'20091223_102851_run_final_0.0_30858_jgriffin',
+##'20091223_102951_run_final_0.0_31441_jgriffin',
+##'20100105_103540_run_final_0.0_31602_jgriffin',
+##'20100105_103553_run_final_0.0_51375_jgriffin',
+##'20100105_103701_run_final_0.0_31897_jgriffin',
+##'20100105_103701_run_final_0.0_58318_jgriffin',
+##'20100105_134917_run_final_0.0_51328_jgriffin',
+##'20100105_134929_run_final_0.0_58331_jgriffin']
+##'20100105_135108_run_final_0.0_6262_jgriffin',
+##'20100105_135137_run_final_0.0_6512_jgriffin',
+##'20100105_135246_run_final_0.0_16990_jgriffin',
+##'20100105_135253_run_final_0.0_20993_jgriffin',
+##'20100105_135319_run_final_0.0_24300_jgriffin',
+##'20100105_135401_run_final_0.0_30207_jgriffin',
+##'20100105_135419_run_final_0.0_31012_jgriffin',
+##'20100105_135440_run_final_0.0_31536_jgriffin',
+##'20100105_150548_run_final_0.0_15491_jgriffin',
+##'20100105_170027_run_final_0.0_6143_jgriffin']
+
+##time_dirs =['20100109_002128_run_final_0.0_31593_jgriffin',
+##            '20100109_042200_run_final_0.0_17006_jgriffin',
+##            '20100109_101855_run_final_0.0_31714_jgriffin',
+##            '20100109_103842_run_final_0.0_6360_jgriffin',
+##            '20100109_105331_run_final_0.0_7741_jgriffin',
+##            '20100109_111451_run_final_0.0_58337_jgriffin',
+##            '20100109_124401_run_final_0.0_15505_jgriffin',
+##            '20100109_132407_run_final_0.0_30379_jgriffin',
+##            '20100109_142643_run_final_0.0_31173_jgriffin',
+##            '20100109_145548_run_final_0.0_24356_jgriffin',
+##            '20100109_150711_run_final_0.0_51436_jgriffin',
+##            '20100109_162600_run_final_0.0_22691_jgriffin']
+            
+
+
 ##time_dir2 = '20090529_143458_run_final_0.0_58346_jgriffin'
 
-time_dirs = [time_dir1]#, time_dir2]   
+#time_dirs = [time_dir1]#, time_dir2]   
 
 # sww filename extensions ie. if batemans_bay_time_37860_0.sww, input into list 37860
@@ -46,6 +122,6 @@
 ######
 
-#area = ['', '']  # strings must match keys in var_equations below
-area = ['All']      # 'All' means no special areas - the whole thing
+area = ['AOI']  # strings must match keys in var_equations below
+##area = ['All']      # 'All' means no special areas - the whole thing
 
 ######
@@ -53,4 +129,10 @@
 # This would not normally change.
 ######
+# Added bed shear stress quantity
+# Note that mannings n (friction value) is taken as 0.01, as in the model run
+# density of water is 1000
+
+
+# Quantities
 var_equations = {'stage':     'stage',
                  'momentum':  '(xmomentum**2 + ymomentum**2)**0.5',
@@ -58,9 +140,11 @@
                  'speed':     '(xmomentum**2 + ymomentum**2)**0.5/(stage-elevation+1.e-6)',
                  'energy':  '(((xmomentum/(stage-elevation+1.e-6))**2 + (ymomentum/(stage-elevation+1.e-6))**2)*0.5*1000*(stage-elevation+1.e-6))+(9.81*stage*1000)',
+                 'bed_shear_stress': ('(((1/depth**(7./3.))*1000*9.81*0.01**2*(xmomentum/(stage-elevation+1.e-6))*((xmomentum/(stage-elevation+1.e-6))**2+(ymomentum/(stage-elevation+1.e-6))**2)**0.5)**2+'
+                                      '((1/depth**(7./3.))*1000*9.81*0.01**2*(ymomentum/(stage-elevation+1.e-6))*((xmomentum/(stage-elevation+1.e-6))**2+(ymomentum/(stage-elevation+1.e-6))**2)**0.5)**2)**0.5'),
                  'elevation': 'elevation' }
 
 # one or more key strings from var_equations above
 #var = ['depth', 'speed','stage']
-var = ['energy']
+var = ['bed_shear_stress']
 ######
 # Start script, running through variables, area, folder, sww file (determine by times)
Index: /anuga_work/production/new_south_wales/batemans_bay/project.py
===================================================================
--- /anuga_work/production/new_south_wales/batemans_bay/project.py	(revision 7607)
+++ /anuga_work/production/new_south_wales/batemans_bay/project.py	(revision 7608)
@@ -52,5 +52,5 @@
     event_number = int(sys.argv[1])
 else:    
-    event_number = 58284
+    event_number = 74057#60194#74552#
 ##event_number_list = [31602,31714,31913] #7871,31583,#1.5-2.0m
 ##event_number_list = [51375,51436,51452] #31997,51268, #1.5-2.0m
@@ -76,5 +76,45 @@
 
 # Re-run those that didn't work first time
-event_number_list = [15442,5890,6017,6052]
+event_number_list = [5890,6017,6052]#15442,
+
+# more events start 12 Jan 2010 #0.3-1.0m
+##event_number_list = [31852,31940,31990,35179]
+##event_number_list = [35377,35451,35542,35557]
+##event_number_list = [35598,35652,41034,41217]
+##event_number_list = [41281,41340,41395,41415]
+##event_number_list = [45841,46039,46221,46297]
+##event_number_list = [46439,46536,46533,46642]
+##event_number_list = [46681,49097,49118,49123]
+##event_number_list = [50621,50797,50873]
+##event_number_list = [49591,50998,51116,51193]
+##event_number_list = [51224,51299,51313,51314]
+##event_number_list = [51319,51336,51351,51389]
+##event_number_list = [51401,51421,51437,51455]
+##event_number_list = [53713,53789,53823,53858]
+##event_number_list = [53872,53901,53910,53917]
+##event_number_list = [53948,53971,53997,57150]
+##event_number_list = [57262,57277,57385,57424]
+##event_number_list = [57478,57560,56566,57573]
+##event_number_list = [57608,57610,57942,57987]
+##event_number_list = [58022,58068,58100,58105]
+##event_number_list = [58146,58172,58180,58201]
+##event_number_list = [58216,58245,58287,58294]
+##event_number_list = [58321,60110,60143,60165]
+##event_number_list = [60194,60209,60232,60248]
+##event_number_list = [61850,61882,61912,61916]
+##event_number_list = [61931,61944,61955,62674]
+##event_number_list = [62746,62759,62780,62792]
+##event_number_list = [62821,62848,62861,62882]
+##event_number_list = [62904,63731,63736,72010]
+##event_number_list = [72022,72036,73960,74015]
+##event_number_list = [74057,74078,74079,74123]
+##event_number_list = [74132,74146,74552]
+
+# Re-run those that didn't work first time
+##event_number_list = [60209,74057,74146]
+##event_number_list = [53971,58068]
+##event_number_list = [58022,53948]#74552
+##event_number_list = [60194,62904]
+##event_number_list = [72022,74057]
 
 
@@ -184,8 +224,8 @@
 
 # ASCII export grid for Batemans Bay
-##xminBatemans_Bay = 
-##xmaxBatemans_Bay = 
-##yminBatemans_Bay = 
-##ymaxBatemans_Bay = 
+xminAOI = 239690
+xmaxAOI = 255206
+yminAOI = 6036317
+ymaxAOI = 6050529
 
 