Index: /anuga_work/production/wa/mandurah_2009/build_elevation.py
===================================================================
--- /anuga_work/production/wa/mandurah_2009/build_elevation.py	(revision 7610)
+++ /anuga_work/production/wa/mandurah_2009/build_elevation.py	(revision 7611)
@@ -52,4 +52,6 @@
 if not project.ascii_grid_filenames == []:
     for filename in project.ascii_grid_filenames:
+        print 'hello', filename
+        print 'hello', project.topographies_folder
         absolute_filename = join(project.topographies_folder, filename)
         convert_dem_from_ascii2netcdf(absolute_filename,
Index: /anuga_work/production/wa/mandurah_2009/export_results_max.py
===================================================================
--- /anuga_work/production/wa/mandurah_2009/export_results_max.py	(revision 7610)
+++ /anuga_work/production/wa/mandurah_2009/export_results_max.py	(revision 7611)
@@ -23,10 +23,6 @@
 
 
-time_dir1 = '20090324_134328_run_final_0.6_27255_Bt_kvanputt'
-time_dir2 = '20090324_140747_run_final_0.6_68693_Bt_kvanputt'
-time_dir3 = '20090327_152717_run_final_0.6_27283_Bt_kvanputt'
-time_dir4 = '20090327_160646_run_final_0_27255_Bt_kvanputt'
-time_dir5 = '20090327_161520_run_final_0_68693_Bt_kvanputt'
-time_dir6 = '20090330_120458_run_final_0_27283_Bt_kvanputt'
+time_dir1 = '20100121_170639_run_final_0.6_27255_mosuchow'
+
 
 time_dirs = [time_dir1] #1,time_dir2, time_dir3, time_dir4, time_dir5]
@@ -34,5 +30,5 @@
 
 ##cellsize = 250
-cellsize = 20
+cellsize = 25
 
 #timestep = None    # None means no timestep!
@@ -43,5 +39,5 @@
 ######
 
-area = ['Bunbury', 'Busselton']  # strings must match keys in var_equations below
+area = ['AoiR']  # strings must match keys in var_equations below
 #area = ['All']      # 'All' means no special areas - the whole thing
 
@@ -57,5 +53,5 @@
 
 # one or more key strings from var_equations above
-var = ['elevation']
+var = ['stage']
 
 ######
Index: /anuga_work/production/wa/mandurah_2009/project.py
===================================================================
--- /anuga_work/production/wa/mandurah_2009/project.py	(revision 7610)
+++ /anuga_work/production/wa/mandurah_2009/project.py	(revision 7611)
@@ -32,8 +32,8 @@
 friction=0.01           # manning's friction coefficient
 starttime=0             # start time for simulation
-finaltime=80000         # final time for simulation
+finaltime=10         #80000 # final time for simulation
 yieldstep=60            # timestep to save output
 
-setup = 'trial'         # This can be one of three values
+setup = 'final'         # This can be one of three values
                         #    trial - coarsest mesh, fast
                         #    basic - coarse mesh
@@ -61,9 +61,12 @@
 # Format for ascii grids, as produced in ArcGIS + a projection file
 ascii_grid_filenames = ['m_harvey_10m',   # Topo
-                        'm_peel_10m']
+                        'm_peel_10m',
+                        'peel_aoi_1',
+                        'peel_aoi_2',
+                        'peel_aoi_3']
                         #'extract_m_peel' # mandurah Topo
 
 # Format for point is x,y,elevation (with header)
-point_filenames = ['bathymetry_all_data.txt',
+point_filenames = ['bathy_update.txt',
                    'DpiU1A03.txt',
                    'MA-46893-SNDS_AHD.txt',
@@ -87,7 +90,27 @@
 # Used in run_model.py
 # Format for points easting,northing (no header)                    
-interior_regions_data = [['area_of_interest1.csv', 500],
-                         ['area_of_interest2.csv', 500],
-                         ['area_of_interest3.csv', 500],
+interior_regions_data = [['aoi_1.csv', 500],
+                         ['aoi_2.csv', 500],
+                         ['aoi_3.csv', 500],
+                         ['aoi_4.csv', 500],
+                         ['area_of_interest_2.csv', 500],
+                         ['area_of_interest_3.csv', 500],
+                         ['aoi_explode_2.csv', 500],
+                         ['aoi_explode_3.csv', 500],
+                         ['aoi_explode_4.csv', 500],
+                         ['aoi_explode_5.csv', 500],
+                         ['aoi_explode_6.csv', 500],
+                         ['aoi_explode_7.csv', 500],
+                         ['aoi_explode_8.csv', 500],
+                         ['aoi_explode_9.csv', 500],
+                         ['aoi_explode_10.csv', 500],
+                         ['aoi_explode_11.csv', 500],
+                         ['aoi_explode_12.csv', 500],
+                         ['aoi_clip2a_explode1.csv', 500],
+                         ['aoi_clip2a_explode2.csv', 500],
+                         ['aoi_clip2a_explode3.csv', 500],
+                         ['aoi_clip2a_explode4.csv', 500],
+                         ['aoi_clip2a_explode5.csv', 500],
+                         ['aoi_clip2a_explode6.csv', 500],
                          ['bounding_area_of_interest.csv', 2500]]
 
@@ -141,9 +164,30 @@
 clip_box = 'clip_box.csv'
 
-# ASCII export grid for mandurah
-xminmandurah = 377708
-xmaxmandurah = 380186
-yminmandurah = 6399699
-ymaxmandurah = 6401544
+# ASCII export grid for mandurah for inundation maps
+#xminRegion = 369013
+#xmaxRegion = 385914
+#yminRegion = 6390118
+#ymaxRegion = 6415260
+
+xminAoiR = 370407
+xmaxAoiR = 385745
+yminAoiR = 6390330
+ymaxAoiR = 6405626
+
+#xminAoi1 = 380524
+#xmaxAoi1 = 382123
+#yminAoi1 = 6401707
+#ymaxAoi1 = 6405240
+
+#xminAoi2 = 377764
+#xmaxAoi2 = 381493
+#yminAoi2 = 6396471
+#ymaxAoi2 = 6401692
+
+#xminAoi3 = 371074
+#xmaxAoi3 = 374219
+#yminAoi3 = 6390639
+#ymaxAoi3 = 6394731
+
 
 
Index: /misc/tools/event_selection/find_fault/find_fault.py
===================================================================
--- /misc/tools/event_selection/find_fault/find_fault.py	(revision 7610)
+++ /misc/tools/event_selection/find_fault/find_fault.py	(revision 7611)
@@ -7,16 +7,16 @@
 
 
-search_dist = 0.75 # radius in degrees to search 
+search_dist = 2.0 # radius in degrees to search 
 
 # List coordinates to search for
-MaxLon = 120.2605
-MinLon = 113.7402
-MaxLat = -9.4653
-MinLat = -11.2732
+MaxLon = 99.8
+MinLon = 97.9
+MaxLat = -0.6
+MinLat = -2.7
 
 # Specify input Folder
-inDir = r'/nas/gemd/georisk_models/inundation/data/western_australia/broome_tsunami_scenario_2009/anuga/boundaries/Results_Australia_1629_0.01_15.00/'
-inFile = 'fault.xy'
-#inFile = 'fault.txt'
+inDir = r'/nas/gemd/georisk/presentations/tsunamis/FESA_Dec09_Workshop/Results_Australia_1032_0.01_15.00/'
+#inFile = 'fault.xy'
+inFile = 'fault.txt'
 inFilePath = file(inDir + inFile)
 