Index: /anuga_work/production/new_south_wales/batemans_bay/Arc_asc2raster_GDA94z56.py
===================================================================
--- /anuga_work/production/new_south_wales/batemans_bay/Arc_asc2raster_GDA94z56.py	(revision 7618)
+++ /anuga_work/production/new_south_wales/batemans_bay/Arc_asc2raster_GDA94z56.py	(revision 7619)
@@ -25,7 +25,26 @@
 output_dir = "anuga\\outputs\\"
 
-time_dir1 = '20091223_101813_run_final_0.0_6157_jgriffin'
-
-time_dirs = [time_dir1]#, time_dir2, time_dir3, time_dir4, time_dir5]#, time_dir6, time_dir7, time_dir8, time_dir9]
+##time_dir1 = '20091223_101813_run_final_0.0_6157_jgriffin'
+##
+##time_dirs = [time_dir1]#, time_dir2, time_dir3, time_dir4, time_dir5]#, time_dir6, time_dir7, time_dir8, time_dir9]
+time_dirs =['20090422_162054_run_final_0.0_58368_jgriffin',
+            '20090422_162114_run_final_0.0_51436_jgriffin',
+            '20090520_144937_run_final_0.0_58272_jgriffin',
+            '20090520_145156_run_final_1.0_58272_jgriffin',
+            '20090520_145453_run_final_0.0_58115_jgriffin',
+            '20090520_145510_run_final_0.0_58129_jgriffin',
+            '20090520_145608_run_final_0.0_58226_jgriffin',
+            '20090520_145616_run_final_0.0_58284_jgriffin',
+            '20090520_145700_run_final_0.0_58286_jgriffin',
+            '20090525_093040_run_final_1.0_51445_jgriffin',
+            '20090528_143200_run_final_1.0_51204_jgriffin',
+            '20090528_143323_run_final_1.0_58346_jgriffin',
+            '20090528_153025_run_final_0.0_58346_jgriffin',
+            '20090528_153109_run_final_0.0_51204_jgriffin',
+            '20090529_143332_run_final_0.0_51378_jgriffin',
+            '20090529_143419_run_final_0.0_51077_jgriffin',
+            '20090529_143442_run_final_0.0_51347_jgriffin',
+            '20090529_143458_run_final_0.0_51292_jgriffin',
+            '20090529_143527_run_final_0.0_51424_jgriffin']
 
 for time_dir in time_dirs:
@@ -38,6 +57,6 @@
     #ocean = scenario_dir + "map_work\\Perth.gdb\\Outlines\\initial_conditions_ocean1"
     
-    print 'Process: Create File GDB'
-    gp.CreateFileGDB_management(folder, "raster")
+##    print 'Process: Create File GDB'
+##    gp.CreateFileGDB_management(folder, "raster")
 
     gp.Workspace = raster_gbd
@@ -52,5 +71,5 @@
 
     generate_filename = []
-    input_ascii = glob.glob(folder + '*max.asc')
+    input_ascii = glob.glob(folder + '*AOI_bed_shear_stress_max.asc')
     print time_dir
 
Index: /anuga_work/production/new_south_wales/batemans_bay/export_results_max.py
===================================================================
--- /anuga_work/production/new_south_wales/batemans_bay/export_results_max.py	(revision 7618)
+++ /anuga_work/production/new_south_wales/batemans_bay/export_results_max.py	(revision 7619)
@@ -22,24 +22,24 @@
 directory = project.output_folder
 
-time_dirs =['20090422_162054_run_final_0.0_58368_jgriffin',
-            '20090422_162114_run_final_0.0_51436_jgriffin',
-            '20090520_144937_run_final_0.0_58272_jgriffin',
-            '20090520_145156_run_final_1.0_58272_jgriffin',
-            '20090520_145453_run_final_0.0_58115_jgriffin',
-            '20090520_145510_run_final_0.0_58129_jgriffin',
-            '20090520_145608_run_final_0.0_58226_jgriffin',
-            '20090520_145616_run_final_0.0_58284_jgriffin',
-            '20090520_145700_run_final_0.0_58286_jgriffin',
-            '20090525_093040_run_final_1.0_51445_jgriffin',
-            '20090528_143200_run_final_1.0_51204_jgriffin',
-            '20090528_143323_run_final_1.0_58346_jgriffin',
-            '20090528_153025_run_final_0.0_58346_jgriffin',
-            '20090528_153109_run_final_0.0_51204_jgriffin',
-            '20090529_143332_run_final_0.0_51378_jgriffin',
-            '20090529_143419_run_final_0.0_51077_jgriffin',
-            '20090529_143442_run_final_0.0_51347_jgriffin',
-            '20090529_143458_run_final_0.0_51292_jgriffin',
-            '20090529_143527_run_final_0.0_51424_jgriffin']
-            
+##time_dirs =['20090422_162054_run_final_0.0_58368_jgriffin',
+##            '20090422_162114_run_final_0.0_51436_jgriffin',
+##            '20090520_144937_run_final_0.0_58272_jgriffin',
+##            '20090520_145156_run_final_1.0_58272_jgriffin',
+##            '20090520_145453_run_final_0.0_58115_jgriffin',
+##            '20090520_145510_run_final_0.0_58129_jgriffin',
+##            '20090520_145608_run_final_0.0_58226_jgriffin',
+##            '20090520_145616_run_final_0.0_58284_jgriffin',
+##            '20090520_145700_run_final_0.0_58286_jgriffin',
+##            '20090525_093040_run_final_1.0_51445_jgriffin',
+##            '20090528_143200_run_final_1.0_51204_jgriffin',
+##            '20090528_143323_run_final_1.0_58346_jgriffin',
+##            '20090528_153025_run_final_0.0_58346_jgriffin',
+##            '20090528_153109_run_final_0.0_51204_jgriffin',
+##            '20090529_143332_run_final_0.0_51378_jgriffin',
+##            '20090529_143419_run_final_0.0_51077_jgriffin',
+##            '20090529_143442_run_final_0.0_51347_jgriffin',
+##            '20090529_143458_run_final_0.0_51292_jgriffin',
+##            '20090529_143527_run_final_0.0_51424_jgriffin']
+##            
 
 #Specify output directories
@@ -97,6 +97,162 @@
 ##            '20100109_150711_run_final_0.0_51436_jgriffin',
 ##            '20100109_162600_run_final_0.0_22691_jgriffin']
-            
-
+
+
+##time_dirs = ['20100110_001417_run_final_0.0_51415_jgriffin',
+##             '20100110_003654_run_final_0.0_31961_jgriffin',
+##             '20100110_055120_run_final_0.0_58348_jgriffin',
+##             '20100111_092417_run_final_0.0_15442_jgriffin',
+##             '20100112_115955_run_final_0.0_31803_jgriffin',
+##             '20100112_134606_run_final_0.0_35377_jgriffin',
+##             '20100112_134623_run_final_0.0_31852_jgriffin',
+##             '20100112_135117_run_final_0.0_35598_jgriffin',
+##             '20100112_135213_run_final_0.0_41281_jgriffin',
+##             '20100112_135245_run_final_0.0_45841_jgriffin',
+##             '20100112_135346_run_final_0.0_46439_jgriffin',
+##             '20100112_135600_run_final_0.0_50621_jgriffin',
+##             '20100112_135653_run_final_0.0_46681_jgriffin',
+##             '20100112_135740_run_final_0.0_49591_jgriffin',
+##             '20100112_135904_run_final_0.0_51224_jgriffin',
+##             '20100112_135927_run_final_0.0_51401_jgriffin',
+##             '20100112_140012_run_final_0.0_53713_jgriffin',
+##             '20100112_140545_run_final_0.0_51319_jgriffin',
+##             '20100112_143632_run_final_0.0_57262_jgriffin',
+##             '20100112_143723_run_final_0.0_57478_jgriffin',
+##             '20100112_144111_run_final_0.0_58146_jgriffin',
+##             '20100112_144144_run_final_0.0_58216_jgriffin',
+##             '20100112_144454_run_final_0.0_61850_jgriffin',
+##             '20100112_144529_run_final_0.0_61931_jgriffin',
+##             '20100112_144707_run_final_0.0_62746_jgriffin',
+##             '20100112_145054_run_final_0.0_62821_jgriffin',
+##             '20100112_170933_run_final_0.0_58100_jgriffin',
+##             '20100112_171014_run_final_0.0_58105_jgriffin',
+##             '20100112_173825_run_final_0.0_53997_jgriffin',
+##             '20100112_173825_run_final_0.0_57150_jgriffin',
+##             '20100112_173949_run_final_0.0_60232_jgriffin',
+##             '20100112_174949_run_final_0.0_35652_jgriffin',
+##             '20100112_175218_run_final_0.0_60248_jgriffin',
+##             '20100112_194119_run_final_0.0_17020_jgriffin',
+##             '20100113_013813_run_final_0.0_7771_jgriffin',
+##             '20100113_042515_run_final_0.0_6358_jgriffin',
+##             '20100113_082328_run_final_0.0_16964_jgriffin',
+##             '20100113_104329_run_final_0.0_72022_jgriffin',
+##             '20100113_105230_run_final_0.0_62904_jgriffin',
+##             '20100113_140636_run_final_0.0_31913_jgriffin',
+##             '20100113_155208_run_final_0.0_30532_jgriffin',
+##             '20100113_155913_run_final_0.0_31177_jgriffin',
+##             '20100113_155958_run_final_0.0_24382_jgriffin',
+##             '20100113_160351_run_final_0.0_58350_jgriffin',
+##             '20100113_170805_run_final_0.0_74552_jgriffin',
+##             '20100113_172240_run_final_0.0_60194_jgriffin',
+##             '20100113_181455_run_final_0.0_22784_jgriffin',
+##             '20100113_183537_run_final_0.0_51452_jgriffin']
+             
+##time_dirs = ['20100114_033650_run_final_0.0_51460_jgriffin',
+##             '20100114_093437_run_final_0.0_58022_jgriffin',
+##             '20100114_093938_run_final_0.0_60209_jgriffin',
+##             '20100114_095729_run_final_0.0_53971_jgriffin',
+##             '20100114_112602_run_final_0.0_58357_jgriffin',
+##             '20100114_171918_run_final_0.0_31973_jgriffin',
+##             '20100115_094820_run_final_0.0_5890_jgriffin',
+##             '20100116_014601_run_final_0.0_50998_jgriffin',
+##             '20100116_063345_run_final_0.0_57277_jgriffin',
+##             '20100116_063525_run_final_0.0_58172_jgriffin',
+##             '20100116_063726_run_final_0.0_35652_jgriffin',
+##             '20100116_070116_run_final_0.0_51336_jgriffin',
+##             '20100116_075639_run_final_0.0_53789_jgriffin',
+##             '20100116_081506_run_final_0.0_50797_jgriffin',
+##             '20100116_083717_run_final_0.0_51299_jgriffin',
+##             '20100116_092012_run_final_0.0_35451_jgriffin',
+##             '20100116_093332_run_final_0.0_58245_jgriffin']
+
+##time_dirs = ['20100116_094354_run_final_0.0_51421_jgriffin',
+##             '20100116_104935_run_final_0.0_57560_jgriffin',
+##             '20100116_105542_run_final_0.0_31940_jgriffin',
+##             '20100116_114623_run_final_0.0_60248_jgriffin',
+##             '20100116_121305_run_final_0.0_41034_jgriffin',
+##             '20100116_123725_run_final_0.0_46039_jgriffin',
+##             '20100116_152744_run_final_0.0_20766_jgriffin',
+##             '20100116_152945_run_final_0.0_41340_jgriffin',
+##             '20100116_162039_run_final_0.0_46536_jgriffin',
+##             '20100116_173800_run_final_0.0_7813_jgriffin',
+##             '20100116_175713_run_final_0.0_61944_jgriffin',
+##             '20100116_185430_run_final_0.0_61882_jgriffin',
+##             '20100116_203513_run_final_0.0_62848_jgriffin',
+##             '20100116_223912_run_final_0.0_49097_jgriffin',
+##             '20100117_010356_run_final_0.0_62759_jgriffin',
+##             '20100117_014040_run_final_0.0_74057_jgriffin',
+##             '20100117_032948_run_final_0.0_6464_jgriffin',
+##             '20100117_191603_run_final_0.0_28082_jgriffin',
+##             '20100117_194709_run_final_0.0_22847_jgriffin',
+##             '20100117_211744_run_final_0.0_30541_jgriffin',
+##             '20100117_233841_run_final_0.0_53948_jgriffin',
+##             '20100118_002304_run_final_0.0_31361_jgriffin',
+##             '20100118_051308_run_final_0.0_58068_jgriffin',
+##             '20100118_120838_run_final_0.0_74132_jgriffin',
+##             '20100120_094127_run_final_0.0_51116_jgriffin',
+##             '20100120_094432_run_final_0.0_57424_jgriffin',
+##             '20100120_094624_run_final_0.0_41034_jgriffin',
+##             '20100120_094657_run_final_0.0_51351_jgriffin',
+##             '20100120_094734_run_final_0.0_53823_jgriffin',
+##             '20100120_094838_run_final_0.0_50873_jgriffin',
+##             '20100120_094950_run_final_0.0_51313_jgriffin',
+##             '20100120_095020_run_final_0.0_35542_jgriffin',
+##             '20100120_095215_run_final_0.0_51437_jgriffin',
+##             '20100120_095404_run_final_0.0_57573_jgriffin',
+##             '20100120_095554_run_final_0.0_31990_jgriffin',
+##             '20100120_100548_run_final_0.0_74146_jgriffin',
+##             '20100120_113420_run_final_0.0_46221_jgriffin']
+             
+##time_dirs = ['20100120_113603_run_final_0.0_41395_jgriffin',
+##             '20100120_113648_run_final_0.0_46533_jgriffin',
+##             '20100120_113916_run_final_0.0_61912_jgriffin',
+##             '20100120_113936_run_final_0.0_61955_jgriffin',
+##             '20100120_113958_run_final_0.0_62861_jgriffin',
+##             '20100120_114050_run_final_0.0_62780_jgriffin',
+##             '20100120_114516_run_final_0.0_49118_jgriffin',
+##             '20100120_114708_run_final_0.0_53872_jgriffin',
+##             '20100120_114903_run_final_0.0_53910_jgriffin',
+##             '20100120_115101_run_final_0.0_57942_jgriffin',
+##             '20100120_115355_run_final_0.0_58321_jgriffin',
+##             '20100120_115638_run_final_0.0_60143_jgriffin',
+##             '20100120_115638_run_final_0.0_72022_jgriffin',
+##             '20100120_115645_run_final_0.0_72036_jgriffin',
+##             '20100120_115653_run_final_0.0_58068_jgriffin',
+##             '20100120_115800_run_final_0.0_74078_jgriffin',
+##             '20100120_120231_run_final_0.0_57942_jgriffin']
+
+##time_dirs = ['20100122_145907_run_final_0.0_57385_jgriffin',
+##             '20100123_201409_run_final_0.0_73960_jgriffin',
+##             '20100123_231018_run_final_0.0_46297_jgriffin',
+##             '20100123_235728_run_final_0.0_35557_jgriffin',
+##             '20100123_235729_run_final_0.0_74079_jgriffin',
+##             '20100124_011736_run_final_0.0_51314_jgriffin',
+##             '20100124_013904_run_final_0.0_46642_jgriffin',
+##             '20100124_014134_run_final_0.0_57987_jgriffin',
+##             '20100124_015446_run_final_0.0_41415_jgriffin',
+##             '20100124_022042_run_final_0.0_60165_jgriffin',
+##             '20100124_030930_run_final_0.0_72036_jgriffin',
+##             '20100124_033040_run_final_0.0_57987_jgriffin',
+##             '20100124_034518_run_final_0.0_53917_jgriffin',
+##             '20100124_041141_run_final_0.0_51193_jgriffin',
+##             '20100124_043357_run_final_0.0_62882_jgriffin',
+##             '20100124_044442_run_final_0.0_60110_jgriffin']
+
+time_dirs = ['20100124_044942_run_final_0.0_58100_jgriffin',
+             '20100124_053102_run_final_0.0_62792_jgriffin',
+             '20100124_065127_run_final_0.0_61916_jgriffin',
+             '20100124_065303_run_final_0.0_49123_jgriffin',
+             '20100124_072517_run_final_0.0_62674_jgriffin',
+             '20100124_082409_run_final_0.0_51455_jgriffin',
+             '20100124_082928_run_final_0.0_35179_jgriffin',
+             '20100124_085412_run_final_0.0_53858_jgriffin',
+             '20100124_090155_run_final_0.0_53901_jgriffin',
+             '20100124_104015_run_final_0.0_41217_jgriffin',
+             '20100124_115454_run_final_0.0_51389_jgriffin',
+             '20100127_050557_run_final_0.0_74015_jgriffin',
+             '20100127_071903_run_final_0.0_74123_jgriffin',
+             '20100127_140928_run_final_0.0_58105_jgriffin',
+             '20100127_215845_run_final_0.0_73960_jgriffin']
+             
 
 ##time_dir2 = '20090529_143458_run_final_0.0_58346_jgriffin'
@@ -146,5 +302,5 @@
 # one or more key strings from var_equations above
 #var = ['depth', 'speed','stage']
-var = ['bed_shear_stress']
+var = ['depth']
 ######
 # Start script, running through variables, area, folder, sww file (determine by times)
Index: /anuga_work/production/new_south_wales/batemans_bay/project.py
===================================================================
--- /anuga_work/production/new_south_wales/batemans_bay/project.py	(revision 7618)
+++ /anuga_work/production/new_south_wales/batemans_bay/project.py	(revision 7619)
@@ -52,5 +52,5 @@
     event_number = int(sys.argv[1])
 else:    
-    event_number = 74057#60194#74552#
+    event_number = 57385#74057#60194#74552#
 ##event_number_list = [31602,31714,31913] #7871,31583,#1.5-2.0m
 ##event_number_list = [51375,51436,51452] #31997,51268, #1.5-2.0m
@@ -76,38 +76,38 @@
 
 # Re-run those that didn't work first time
-event_number_list = [5890,6017,6052]#15442,
+#event_number_list = [5890,6017,6052]#15442,
 
 # more events start 12 Jan 2010 #0.3-1.0m
-##event_number_list = [31852,31940,31990,35179]
-##event_number_list = [35377,35451,35542,35557]
-##event_number_list = [35598,35652,41034,41217]
-##event_number_list = [41281,41340,41395,41415]
-##event_number_list = [45841,46039,46221,46297]
-##event_number_list = [46439,46536,46533,46642]
-##event_number_list = [46681,49097,49118,49123]
-##event_number_list = [50621,50797,50873]
-##event_number_list = [49591,50998,51116,51193]
-##event_number_list = [51224,51299,51313,51314]
-##event_number_list = [51319,51336,51351,51389]
-##event_number_list = [51401,51421,51437,51455]
-##event_number_list = [53713,53789,53823,53858]
-##event_number_list = [53872,53901,53910,53917]
+##event_number_list = [31990,35179]#31852,31940,
+##event_number_list = [35542,35557]#35377,35451,
+##event_number_list = [41034,41217]#35598,35652,
+##event_number_list = [41395,41415]#41281,41340,
+##event_number_list = [46221,46297]#45841,46039,
+##event_number_list = [46533,46642]#46439,46536,
+##event_number_list = [49118,49123]#46681,49097,
+##event_number_list = [50873]#50621,50797,
+##event_number_list = [51116,51193]#49591,50998,
+##event_number_list = [51313,51314]#51224,51299,
+##event_number_list = [51351,51389]#51319,51336,
+##event_number_list = [51437,51455]#51401,51421,
+##event_number_list = [53823,53858]#53713,53789,
+##event_number_list = [53910,53917]#53872,53901
 ##event_number_list = [53948,53971,53997,57150]
-##event_number_list = [57262,57277,57385,57424]
-##event_number_list = [57478,57560,56566,57573]
-##event_number_list = [57608,57610,57942,57987]
+##event_number_list = [57385,57424]#57262,57277,
+##event_number_list = [56566,57573]#57478,57560,
+##event_number_list = [57942,57987]#57608,57610
 ##event_number_list = [58022,58068,58100,58105]
-##event_number_list = [58146,58172,58180,58201]
-##event_number_list = [58216,58245,58287,58294]
-##event_number_list = [58321,60110,60143,60165]
+##event_number_list = [58180,58201]#58146,58172,
+##event_number_list = [58287,58294]#58216,58245,
+##event_number_list = [60143,60165]#58321,60110
 ##event_number_list = [60194,60209,60232,60248]
-##event_number_list = [61850,61882,61912,61916]
-##event_number_list = [61931,61944,61955,62674]
-##event_number_list = [62746,62759,62780,62792]
-##event_number_list = [62821,62848,62861,62882]
-##event_number_list = [62904,63731,63736,72010]
-##event_number_list = [72022,72036,73960,74015]
-##event_number_list = [74057,74078,74079,74123]
-##event_number_list = [74132,74146,74552]
+##event_number_list = [61912,61916]#61850,61882,
+##event_number_list = [61955,62674]#61931,61944,
+##event_number_list = [62780,62792]#62746,62759,
+##event_number_list = [62861,62882]#62821,62848
+##event_number_list = [63731,63736,72010]#62904,
+##event_number_list = [72036,73960,74015]#72022,
+##event_number_list = [74078,74079,74123]#74057,
+event_number_list = [74132,74146,74552]
 
 # Re-run those that didn't work first time